Update Avi Controller
Update specified Avi Load Balancer Controller
Update a Avi Load Balancer Controller.
Request
URI
PUT
https://{api_host}/cloudapi/v1/loadBalancer/aviControllers/{aviControllerId}
COPY
Path Parameters
string
aviControllerId
Required
aviControllerId
Request Body
AviController
of type(s)
application/json
Optional
{
"status": "string",
"id": "urn:vcloud:aviController:xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx",
"name": "string",
"description": "string",
"url": "https://aviController.mydomain.com",
"username": "string",
"password": "string",
"version": "string",
"isDedicatedForClassicTenants": false,
"controllerStatus": "string",
"license": "string",
"regionRef": {
"name": "string",
"id": "string"
}
}
Responses
202
The request have been accepted and the task to monitor the request is in the Location header.
Operation doesn't return any data structure
Code Samples
COPY
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{"name":"string","password":"string","url":"string","username":"string"}' https://{api_host}/cloudapi/v1/loadBalancer/aviControllers/{aviControllerId}
Availability
Added in 9.1.0
On This Page
Avi Controllers Operations
GET
Get Avi Controllers
POST
Register Avi Controller
GET
Get Avi Controller
PUT
Update Avi Controller
DELETE
Unregister Avi Controller
POST
Sync Avi Controller